@echo off
cls
if /i %~d0 equ %systemdrive% (
	echo Please DO NOT run this batch file from system disk
	echo .
	goto end
)

echo *******************************************************
echo                        IMPORTANT
echo.
echo Note that this batch file will install syslinux to the
echo master boot record at drive %~d0 to make the AVG Rescue
echo USB bootable. Please make sure you are running it only
echo from the desired USB drive, otherwise it can make your
echo Windows un-bootable! 
echo.
echo *******************************************************
echo.
echo.
echo.
echo IF YOU ARE NOT SURE WHAT YOU ARE DOING PLEASE ABORT
echo THIS PROCESS BY CLOSING THIS WINDOW!
echo.
echo Press any key to make the %~d0 drive bootable.
pause > nul
echo.
echo Please wait...
syslinux.exe -ma %~d0
echo.
echo The AVG Rescue USB should be bootable now.
echo.

:end

echo Press any key to exit.
pause > nul

